## r-bioc-bluster 1.0.0+dfsg

=== DESCRIPTION ===
Package: bluster
Version: 1.0.0
Date: 2020-10-15
Title: Clustering Algorithms for Bioconductor
Description: 
    Wraps common clustering algorithms in an easily extended S4 framework.
    Backends are implemented for hierarchical, k-means and graph-based clustering.
    Several utilities are also provided to compare and evaluate clustering results.
Authors@R: 
    person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com") 
Imports: stats, methods, utils, Matrix, Rcpp, igraph, S4Vectors,
        BiocParallel, BiocNeighbors
Suggests: knitr, rmarkdown, testthat, BiocStyle, dynamicTreeCut,
        scRNAseq, scuttle, scater, scran, pheatmap, viridis
biocViews: ImmunoOncology, Software, GeneExpression, Transcriptomics,
        SingleCell, Clustering
LinkingTo: Rcpp
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/bluster
git_branch: RELEASE_3_12
git_last_commit: 3727538
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
Packaged: 2020-10-27 22:50:29 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.0.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Nov 2020 08:38:24 +0100

r-bioc-bluster (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #975439)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 11:36:17 +0100

=== debian/control ===
Source: r-bioc-bluster
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-igraph,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-bioc-biocneighbors
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
Homepage: https://bioconductor.org/packages/bluster/
Rules-Requires-Root: no

Package: r-bioc-bluster
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Clustering Algorithms for Bioconductor
 Wraps common clustering algorithms in an easily extended S4 framework.
 Backends are implemented for hierarchical, k-means and graph-based clustering.
 Several utilities are also provided to compare and evaluate clustering results.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-dynamictreecut
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/bluster.html .*/bluster_(.*).tar.gz

## r-bioc-bluster 1.4.0+dfsg

=== DESCRIPTION ===
Package: bluster
Version: 1.4.0
Date: 2021-08-29
Title: Clustering Algorithms for Bioconductor
Description: 
    Wraps common clustering algorithms in an easily extended S4 framework.
    Backends are implemented for hierarchical, k-means and graph-based clustering.
    Several utilities are also provided to compare and evaluate clustering results.
Authors@R: 
    c(
        person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Stephanie", "Hicks", role="ctb")
    )
Imports: stats, methods, utils, cluster, Matrix, Rcpp, igraph,
        S4Vectors, BiocParallel, BiocNeighbors
Suggests: knitr, rmarkdown, testthat, BiocStyle, dynamicTreeCut,
        scRNAseq, scuttle, scater, scran, pheatmap, viridis, mbkmeans,
        kohonen, apcluster
biocViews: ImmunoOncology, Software, GeneExpression, Transcriptomics,
        SingleCell, Clustering
LinkingTo: Rcpp
Collate: AllClasses.R AllGenerics.R AgnesParam.R approxSilhouette.R
        bluster-package.R DbscanParam.R DianaParam.R AffinityParam.R
        BlusterParam.R bootstrapStability.R ClaraParam.R clusterRMSD.R
        clusterSweep.R compareClusterings.R FixedNumberParam.R
        HclustParam.R HierarchicalParam.R KmeansParam.R linkClusters.R
        makeSNNGraph.R MbkmeansParam.R mergeCommunities.R
        neighborPurity.R nestedClusters.R NNGraphParam.R
        pairwiseModularity.R pairwiseRand.R PamParam.R RcppExports.R
        SomParam.R TwoStepParam.R utils.R
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/bluster
git_branch: RELEASE_3_14
git_last_commit: 6f4b821
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 20:59:48 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Stephanie Hicks [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 01:24:49 +0530

r-bioc-bluster (1.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * r-cran-kohonen is now available

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 14:21:31 +0200

r-bioc-bluster (1.2.1+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Exclude tests requiring not yet packages mbkmeans and kohonen
  * Test-Depends: r-cran-apcluster

 -- Nilesh Patra <nilesh@debian.org>  Mon, 27 Sep 2021 15:50:07 +0530

r-bioc-bluster (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 05 Sep 2021 10:06:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cluster,
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-igraph,
                r-bioc-s4vectors,
                r-bioc-biocparallel,
                r-bioc-biocneighbors
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
 Homepage: https://bioconductor.org/packages/bluster/

## r-bioc-bluster 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bluster
-Version: 1.4.0
-Date: 2021-08-29
+Version: 1.6.0
+Date: 2022-04-10
 Title: Clustering Algorithms for Bioconductor
 Description: 
     Wraps common clustering algorithms in an easily extended S4 framework.
@@ -32,13 +32,13 @@
 NeedsCompilation: yes
 VignetteBuilder: knitr
 SystemRequirements: C++11
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/bluster
-git_branch: RELEASE_3_14
-git_last_commit: 6f4b821
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 20:59:48 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: ff86c7d
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:10:07 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Stephanie Hicks [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 23:04:37 +0200

## r-bioc-bluster 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: bluster
-Version: 1.6.0
+Version: 1.8.0
 Date: 2022-04-10
 Title: Clustering Algorithms for Bioconductor
 Description: 
@@ -34,11 +34,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/bluster
-git_branch: RELEASE_3_15
-git_last_commit: ff86c7d
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:10:07 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 156115c
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 21:01:09 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Stephanie Hicks [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * r-bioc-scater 1.26.1 is now available and autopkgtest passing
    Closes: #1024755

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 08:35:33 +0100

r-bioc-bluster (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 21:15:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-bluster
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
+Homepage: https://bioconductor.org/packages/bluster/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                r-bioc-s4vectors,
                r-bioc-biocparallel,
                r-bioc-biocneighbors
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
-Homepage: https://bioconductor.org/packages/bluster/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-bluster
 Architecture: any

## r-bioc-bluster 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bluster
-Version: 1.8.0
-Date: 2022-04-10
+Version: 1.10.0
+Date: 2023-01-12
 Title: Clustering Algorithms for Bioconductor
 Description: 
     Wraps common clustering algorithms in an easily extended S4 framework.
@@ -32,13 +32,13 @@
 NeedsCompilation: yes
 VignetteBuilder: knitr
 SystemRequirements: C++11
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/bluster
-git_branch: RELEASE_3_16
-git_last_commit: 156115c
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 21:01:09 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 3234042
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:25:47 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Stephanie Hicks [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 09:31:06 +0200

## r-bioc-bluster 1.12.0+dfsg

=== DESCRIPTION ===
Package: bluster
Version: 1.12.0
Date: 2023-07-27
Title: Clustering Algorithms for Bioconductor
Description: 
    Wraps common clustering algorithms in an easily extended S4 framework.
    Backends are implemented for hierarchical, k-means and graph-based clustering.
    Several utilities are also provided to compare and evaluate clustering results.
Authors@R: 
    c(
        person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Stephanie", "Hicks", role="ctb"),
        person("Basil", "Courbayre", role="ctb"),
        person("Tuomas", "Borman", role="ctb"),
        person("Leo", "Lahti", role="ctb")
    )
Imports: stats, methods, utils, cluster, Matrix, Rcpp, igraph,
        S4Vectors, BiocParallel, BiocNeighbors
Suggests: knitr, rmarkdown, testthat, BiocStyle, dynamicTreeCut,
        scRNAseq, scuttle, scater, scran, pheatmap, viridis, mbkmeans,
        kohonen, apcluster, DirichletMultinomial, vegan, fastcluster
biocViews: ImmunoOncology, Software, GeneExpression, Transcriptomics,
        SingleCell, Clustering
LinkingTo: Rcpp
Collate: AllClasses.R AllGenerics.R AgnesParam.R approxSilhouette.R
        bluster-package.R DbscanParam.R DianaParam.R AffinityParam.R
        BlusterParam.R bootstrapStability.R ClaraParam.R clusterRMSD.R
        clusterSweep.R compareClusterings.R DmmParam.R
        FixedNumberParam.R HclustParam.R HierarchicalParam.R
        KmeansParam.R linkClusters.R makeSNNGraph.R MbkmeansParam.R
        mergeCommunities.R neighborPurity.R nestedClusters.R
        NNGraphParam.R pairwiseModularity.R pairwiseRand.R PamParam.R
        RcppExports.R SomParam.R TwoStepParam.R utils.R
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.2.3
git_url: https://git.bioconductor.org/packages/bluster
git_branch: RELEASE_3_18
git_last_commit: efc4220
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
Packaged: 2023-10-24 20:31:47 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Stephanie Hicks [ctb],
  Basil Courbayre [ctb],
  Tuomas Borman [ctb],
  Leo Lahti [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-bluster (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:13:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
 Homepage: https://bioconductor.org/packages/bluster/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-bluster 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: bluster
-Version: 1.12.0
+Version: 1.14.0
 Date: 2023-07-27
 Title: Clustering Algorithms for Bioconductor
 Description: 
@@ -37,11 +37,12 @@
 SystemRequirements: C++11
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/bluster
-git_branch: RELEASE_3_18
-git_last_commit: efc4220
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:31:47 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 5b73704
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:51:19 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Stephanie Hicks [ctb],
   Basil Courbayre [ctb],

=== debian/changelog ===
r-bioc-bluster (1.14.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:20:14 +0200

r-bioc-bluster (1.14.0+dfsg-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 17:15:43 +0200

r-bioc-bluster (1.14.0+dfsg-1~0exp) experimental; urgency=medium

  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -15,18 +15,28 @@
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-igraph,
-               r-bioc-s4vectors,
-               r-bioc-biocparallel,
-               r-bioc-biocneighbors
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-biocneighbors (>= 1.22.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-bluster
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-biocneighbors (>= 1.22.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-scrnaseq (>= 2.18.0),
+          r-bioc-scuttle (>= 1.14.0),
+          r-bioc-scater (>= 1.32),
+          r-bioc-scran (>= 1.32.0),
+          r-bioc-dirichletmultinomial (>= 1.46.0)
 Description: Clustering Algorithms for Bioconductor
  Wraps common clustering algorithms in an easily extended S4 framework.
  Backends are implemented for hierarchical, k-means and graph-based clustering.

## r-bioc-bluster 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bluster
-Version: 1.14.0
-Date: 2023-07-27
+Version: 1.16.0
+Date: 2024-09-05
 Title: Clustering Algorithms for Bioconductor
 Description: 
     Wraps common clustering algorithms in an easily extended S4 framework.
@@ -21,7 +21,7 @@
         kohonen, apcluster, DirichletMultinomial, vegan, fastcluster
 biocViews: ImmunoOncology, Software, GeneExpression, Transcriptomics,
         SingleCell, Clustering
-LinkingTo: Rcpp
+LinkingTo: Rcpp, assorthead
 Collate: AllClasses.R AllGenerics.R AgnesParam.R approxSilhouette.R
         bluster-package.R DbscanParam.R DianaParam.R AffinityParam.R
         BlusterParam.R bootstrapStability.R ClaraParam.R clusterRMSD.R
@@ -34,15 +34,16 @@
 License: GPL-3
 NeedsCompilation: yes
 VignetteBuilder: knitr
-SystemRequirements: C++11
-RoxygenNote: 7.2.3
+SystemRequirements: C++17
+RoxygenNote: 7.3.2
+Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/bluster
-git_branch: RELEASE_3_19
-git_last_commit: 5b73704
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 02:51:19 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 32aa5ea
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-29 23:48:19 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Stephanie Hicks [ctb],
   Basil Courbayre [ctb],

=== debian/changelog ===
r-bioc-bluster (1.16.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:29:57 +0100

r-bioc-bluster (1.16.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: add build-dep on the new assorthead package

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 11:04:27 +0100

=== debian/control ===
Source: r-bioc-bluster
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bluster
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bluster.git
Homepage: https://bioconductor.org/packages/bluster/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cluster,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-igraph,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-bioc-biocneighbors,
               r-bioc-assorthead,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-bluster
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Clustering Algorithms for Bioconductor
 Wraps common clustering algorithms in an easily extended S4 framework.
 Backends are implemented for hierarchical, k-means and graph-based clustering.
 Several utilities are also provided to compare and evaluate clustering results.
